<div class="sb2-2">
  <!--== breadcrumbs ==-->
  <div class="sb2-2-2">
    <ul>
      <li><a href="main.html"><i class="fa fa-home" aria-hidden="true"></i> Home</a> </li>
      <li class="active-bre"><a href="#"> All Products</a> </li>
      <li class="page-back"><a href="admin.html"><i class="fa fa-backward" aria-hidden="true"></i> Back</a> </li>
    </ul>
  </div>
  <div class="tz-2 tz-2-admin">
    <div class="tz-2-com tz-2-main">
      <h4>All Products</h4> <a class="dropdown-button drop-down-meta drop-down-meta-inn" href="#" data-activates="dr-list"><i class="material-icons">more_vert</i></a>
      <ul id="dr-list" class="dropdown-content">
        <li><a href="#!">Add New</a> </li>
        <li><a href="#!">Edit</a> </li>
        <li><a href="#!">Update</a> </li>
        <li class="divider"></li>
        <li><a href="#!"><i class="material-icons">delete</i>Delete</a> </li>
        <li><a href="#!"><i class="material-icons">subject</i>View All</a> </li>
        <li><a href="#!"><i class="material-icons">play_for_work</i>Download</a> </li>
      </ul>
      <!-- Dropdown Structure -->
      <div class="split-row">
        <div class="col-md-12">
          <div class="box-inn-sp ad-inn-page">
            <div class="tab-inn ad-tab-inn">
              <div class="table-responsive">
                <table class="table table-hover">
                  <thead>
                  <tr>
                    <th>id</th>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Description</th>
                    <th>SubCategory</th>

                    <th>Edit</th>
                    <th>Delete</th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr *ngFor="let p of products">
                    <td><span class="list-img">{{p.id}}</span> </td>
                    <td><a href="#"><span class="list-enq-name">{{p.name}}</span><span class="list-enq-city"></span></a> </td>
                    <td>{{p.price}}</td>
                    <td> {{p.description}} </td>
                    <td> {{p.subCategory.name}} </td>

                    <td> <a [routerLink]="['/editProduct',p.id]"><i class="fa fa-edit"></i></a> </td>
                    <td> <a (click)="delete(p.id)"><i class="fa fa-remove"></i></a> </td>
                  </tr>

                  </tbody>
                </table>
              </div>
            </div>
          </div>
          <div class="admin-pag-na">
            <ul class="pagination list-pagenat">
              <li class="disabled"><a href="#!!"><i class="material-icons">chevron_left</i></a> </li>
              <li class="active"><a href="#!">1</a> </li>
              <li class="waves-effect"><a href="#!">2</a> </li>
              <li class="waves-effect"><a href="#!">3</a> </li>
              <li class="waves-effect"><a href="#!">4</a> </li>
              <li class="waves-effect"><a href="#!">5</a> </li>
              <li class="waves-effect"><a href="#!">6</a> </li>
              <li class="waves-effect"><a href="#!">7</a> </li>
              <li class="waves-effect"><a href="#!">8</a> </li>
              <li class="waves-effect"><a href="#!"><i class="material-icons">chevron_right</i></a> </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
